.products-page{
  padding-top: 80px;
}

.product-section{
  width: 100%;
  padding: 20px 0;

}

.product-container {
  max-width: 1400px;
  width: 100%;
  margin: 0 auto;
}

.product-main-title {
  font-size: 26px;
  color: #333;
  margin-bottom: 40px;
  padding-bottom: 12px;
  border-bottom: 2px solid #1677ff;
  display: inline-block;
}

.product-list {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
}

.product-item {
  border: 1px solid #e8e8e8;
  border-radius: 8px;
  overflow: hidden;
  text-decoration: none;
  transition: all 0.3s ease;
}

.product-img-wrap {
  width: 100%;
  height: 200px;
  padding: 8px;
  overflow: hidden; 
  display: flex;
  justify-content: center;
  align-items: center;
}

.product-img {
  width: auto;
  height: 100%;
  object-fit: cover;
  transition: transform 0.3s ease;
}

.product-item:hover {
  border-color: #d0d0d0;
}

.product-item:hover .product-img {
  transform: scale(1.08);
}

.product-item:hover .product-name{
  text-decoration: underline;
}

.product-info {
  padding: 16px;
  width: 100%;
}

.product-name {
  font-size: 16px;
  color: #333;
  text-align: center;
  font-weight: 500;
  margin-bottom: 12px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.product-more-container{
  width:  100%;
  display: flex;
  justify-content: flex-end;
}

.product-more {
  display: inline-flex;
  align-items: center;
  font-size: 14px;
  color: #1677ff;
  text-decoration: none;
  gap: 4px;
  transition: color 0.3s ease;
  text-align: right;
}

.product-more:hover {
  color: #0958d9;
}

.product-more i {
  font-size: 12px;
  transition: transform 0.3s ease;
}

.product-more:hover i {
  transform: translateX(3px);
}

